# Class JavaScriptRepositoriesExtension

java.lang.Object
org.gradle.plugins.javascript.base.JavaScriptRepositoriesExtension

public class JavaScriptRepositoriesExtension extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GOOGLE_APIS_REPO_URL`
`static final String`
`GRADLE_PUBLIC_JAVASCRIPT_REPO_URL`
`static final String`
`NAME`

## Constructor Summary

Constructors
Constructor
Description
`JavaScriptRepositoriesExtension(RepositoryHandler repositories)`

## Method Summary

Modifier and Type
Method
Description
`IvyArtifactRepository`
`googleApis()`
`IvyArtifactRepository`
`googleApis(Action<? super IvyArtifactRepository> action)`
`ArtifactRepository`
`gradle()`
`MavenArtifactRepository`
`gradle(Action<? super MavenArtifactRepository> action)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

### GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

public static final String GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

See Also:
  - Constant Field Values

### GOOGLE_APIS_REPO_URL

public static final String GOOGLE_APIS_REPO_URL

See Also:
  - Constant Field Values

## Constructor Details

### JavaScriptRepositoriesExtension

public JavaScriptRepositoriesExtension(RepositoryHandler repositories)

## Method Details

### gradle

public ArtifactRepository gradle()

### gradle

public MavenArtifactRepository gradle(Action<? super MavenArtifactRepository> action)

### googleApis

public IvyArtifactRepository googleApis()

### googleApis

public IvyArtifactRepository googleApis(Action<? super IvyArtifactRepository> action)